Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenRGBColor

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenColor, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenRGBColorImpl

    public interface GenRGBColor

extends GenColor

A representation of the model object 'Gen RGB Color'.

The following features are supported:

- `Red`
- `Green`
- `Blue`

See Also:
  `GMFGenPackage.getGenRGBColor()`
** Generated **
Model:

Method Summary
`int` `getBlue()` Returns the value of the 'Blue' attribute
`int` `getGreen()` Returns the value of the 'Green' attribute
`int` `getRed()` Returns the value of the 'Red' attribute
`void` `setBlue(int value)` Sets the value of the '`Blue`' attribute
`void` `setGreen(int value)` Sets the value of the '`Green`' attribute
`void` `setRed(int value)` Sets the value of the '`Red`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRed

    int getRed()

  Returns the value of the 'Red' attribute.

  If the meaning of the 'Red' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Red' attribute.
  See Also:
    `setRed(int)`, `GMFGenPackage.getGenRGBColor_Red()`
  ** Generated **
  Model:
    required="true"

### setRed

    void setRed(int value)

  Sets the value of the '`Red`' attribute.

  Parameters:
    `value` - the new value of the 'Red' attribute.
  See Also:
    `getRed()`
  ** Generated **

### getGreen

    int getGreen()

  Returns the value of the 'Green' attribute.

  If the meaning of the 'Green' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Green' attribute.
  See Also:
    `setGreen(int)`, `GMFGenPackage.getGenRGBColor_Green()`
  ** Generated **
  Model:
    required="true"

### setGreen

    void setGreen(int value)

  Sets the value of the '`Green`' attribute.

  Parameters:
    `value` - the new value of the 'Green' attribute.
  See Also:
    `getGreen()`
  ** Generated **

### getBlue

    int getBlue()

  Returns the value of the 'Blue' attribute.

  If the meaning of the 'Blue' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Blue' attribute.
  See Also:
    `setBlue(int)`, `GMFGenPackage.getGenRGBColor_Blue()`
  ** Generated **
  Model:
    required="true"

### setBlue

    void setBlue(int value)

  Sets the value of the '`Blue`' attribute.

  Parameters:
    `value` - the new value of the 'Blue' attribute.
  See Also:
    `getBlue()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.